# List an agent's knowledge sources

> GET /agents/{id}/knowledge. HeyRik API parameters and documented request and response examples.

Source: https://www.heyrik.com/docs/api-reference/knowledge/get-agents-id-knowledge-list-an-agent-s-knowledge-sources

GET https://server.heyrik.com/api/v1/agents/{id}/knowledge

## Path parameters

- id (required): Replace {id} in the request URL with the value for this resource.

## Headers

Authorization: Bearer $HEYRIK_API_KEY (required). Keep your key on your server.

## Request example

```sh
curl https://server.heyrik.com/api/v1/agents/agc_9f2a1c30/knowledge \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
```
